-- Welcome to the Generic Addon!
--
-- This Addon provides slightly more than the minimal functionality needed to load an Addon.
-- 	Strictly speaking, simply getting an Addon to load into RIFT requires just the RiftAddon.toc file.
-- 	However, actually getting something useful out of the Addon requires Lua coding.
--
-- Here, I demonstrate two basic functions and events: performing actions whenever an Addon loads into
-- 	memory and creating a new slash command for command-line interface.  This Addon should be used
--	as the basis for bigger and better Addons, essentially acting as a template for development.  
-- ---------------------------------------------------------------------------------------------------------


-- ---------------------------------------------------------------------------------------------------------
-- This function runs whenever the player gives the slash command we established at the bottom
local function altSlashCommand()
	print ("Generic: Slash command recognized")
end
-- ---------------------------------------------------------------------------------------------------------

-- ---------------------------------------------------------------------------------------------------------
-- This function runs whenever the Addon finished loading
local function loadSettings()
	print ("Generic: loading settings")
end
-- ---------------------------------------------------------------------------------------------------------

-- ---------------------------------------------------------------------------------------------------------
-- Set up a slash command to run a function
table.insert (Command.Slash.Register("generic"), {altSlashCommand, "Generic", "altSlashCommand"})
-- ---------------------------------------------------------------------------------------------------------

-- ---------------------------------------------------------------------------------------------------------
-- Set up a function to run after the Addon loads
table.insert (Event.Addon.Load.End, {loadSettings, "Generic", "loadSettings"})
-- ---------------------------------------------------------------------------------------------------------

